Package fr.gouv.vitam.storage.driver.exception

# Class StorageDriverException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.storage.driver.exception.StorageDriverException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `StorageDriverConflictException`, `StorageDriverNotFoundException`, `StorageDriverPreconditionFailedException`, `StorageDriverServerErrorException`, `StorageDriverServiceUnavailableException`, `StorageDriverUnavailableDataFromAsyncOfferException`

public class StorageDriverException extends Exception
Exceptions to be thrown by the storage drivers Note: it is intended to NOT extends VitamException in order to not have a dependency to common-public in this module

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StorageDriverException(String driverInfos, boolean shouldRetry, Throwable cause)`
  Constructor with an original exception and additional info about the driver
  `StorageDriverException(String driverInfos, String message, boolean shouldRetry)`
  Constructor with a message and additional info about the driver
  `StorageDriverException(String driverInfos, String message, boolean shouldRetry, Throwable cause)`
  Constructor with a message and an original exception and additional info about the driver

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDriverInfo()`
  Get the driverInfo
  `boolean`
  `isShouldRetry()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### StorageDriverException

    public StorageDriverException(String driverInfos, String message, boolean shouldRetry)
    Constructor with a message and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `message` - a message to add

  - ### StorageDriverException

    public StorageDriverException(String driverInfos, String message, boolean shouldRetry, Throwable cause)
    Constructor with a message and an original exception and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `message` - the exception message
      `cause` - the original exception

  - ### StorageDriverException

    public StorageDriverException(String driverInfos, boolean shouldRetry, Throwable cause)
    Constructor with an original exception and additional info about the driver
    Parameters:
      `driverInfos` - information about the driver (id, name, version...)
      `cause` - the original exception

- ## Method Details

  - ### getDriverInfo

    public String getDriverInfo()
    Get the driverInfo
    Returns:
      driverInfo

  - ### isShouldRetry

    public boolean isShouldRetry()